Download it now!
Bug 113370 - Copying a row temporarily disables Conditional Formatting.
Summary: Copying a row temporarily disables Conditional Formatting.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2017-10-23 00:10 UTC by mrelwood
Modified: 2018-10-24 12:25 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
A spreadsheet to show the issue. (14.50 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-10-23 00:12 UTC, mrelwood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mrelwood 2017-10-23 00:10:36 UTC
Description:
Copying a row looks like it doesn't copy the conditional formattings, but if:
- select menu item File > Reload, or
- the spreadsheet is saved and reopened, or
- if visiting any conditional formatting rule for editing,
the conditional formattings are then shown correctly.

For visiting any cconditional formatting rule, it is enough to:
- Menu: Format > Conditional Formatting > Manage, double-click a condition, "OK", "OK".

Copying two or more rows, or a column doesn't have this issue.

Steps to Reproduce:
1. Create a conditional formatting.
2. Enter data that shows conditional formatting.
3. Copy (Cmd C + Cmd V, or Alt Drag) the single row where you entered data.

Actual Results:  
The copied row appears as if no conditional formattings were in place.

Expected Results:
The conditional formattings should show up right away, without reopening the spreadsheet or editing conditional formattings.


Reproducible: Always

User Profile Reset: Yes. Happens on a new install.

Additional Info:
This issue has been there for a long time, so I don't remember the earliest version I saw this bug in. It is still relevant in 5.3.6.1 and 6.0.0.0.alpha0+ (17.Sept.2017).


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.102 Safari/537.36 Vivaldi/1.94.971.8
Comment 1 mrelwood 2017-10-23 00:12:44 UTC
Created attachment 137220 [details]
A spreadsheet to show the issue.

This spreadsheet has conditional formatting in place, and a guide how to reproduce the issue.
Comment 2 Alex Thurgood 2017-10-23 11:59:46 UTC
Confirming with

Version: 6.0.0.0.alpha0+
Build ID: 0ad8447d3199e1c1d1f7d6ddabc9b4cded99c2d6
CPU threads: 4; OS: Mac OS X 10.13; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-10-19_07:06:36
Locale: fr-FR (fr_FR.UTF-8); Calc: group
Comment 3 Alex Thurgood 2017-10-23 12:04:46 UTC
Looks like a DUP of bug 109280
Comment 4 QA Administrators 2018-10-24 02:57:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug